var register = (function () {
    'use strict';
    var Register = function (params) {
        var p = this;
        p.params = {
            appid: '',
            accountsId: '',
            cfApp: null,
            devMode: false,
            dataApi: G.baseUri() + '/mobile/member/register',
            vt: ''
        };

        for (var param in params) {
            p.params[param] = params[param];
        }
        var cfApp = p.params.cfApp;

        if (p.params.devMode) {
            p.params.dataApi = 'json/code.json';
        }


        /**
         * 判断app字段
         * @returns 是否app有值
         */
        var validAppField = function () {
            if (!p.params.appid || p.params.appid == '') {
                return false;
            } else {
                return true;
            }
        };

        /**
         * 确认初始化的app 和tokenId 两个值是否都存在
         * 如果不存在则获取一次,获取不到则初始化失败
         * @returns 初始化基础字段是否成功
         */
        var initBaseFields = function () {
            if (!validAppField()) {
                p.params.appid = cfApp.getQueryString('appid');
                //p.params.accountsId = cfApp.getQueryString('accountsId');
            }



            //如果获取不到app和tokenId,则直接从传入的CfApp中获取值
            if (!validAppField()) {
                if (p.params.cfApp) {
                    p.params.appid = cfApp.getAppId();
                    //p.params.tokenId = cfApp.getTokenId();
                }
            }
            p.empInfo = cfApp.getMpInfo();
            p.params.accountsId = p.empInfo.accountsId;
            return validAppField();
        };

        /**
         * 初始化组件
         * @returns {boolean}
         */


        p.init = function () {

          

            if (initBaseFields()) {

              log();
              loadData();

                return true;
            } else {
                return false;
            }
        };
        var log = function () {
            
            var formdata = {
              openid: p.empInfo.openId,
              module: "展会",
              modulename: "展会",
              keyword: "展会",
              keywordid: cfApp.getQueryString('id'),
              vt: new Date().getTime(),
              appid: cfApp.getQueryString('appid'),
              url: location.href
            };
            G.ajax(G.devModePost, '/schaeffler/mobile/testAsync/doLOg', formdata, function (retdata) {
      
      
            });
          }

          var loadData=function(){
            $.showLoading();
            var formdata={
                meetingId:cfApp.getQueryString('id')
              };
            G.ajax('get', p.params.dataApi, formdata, function (retdata) {
                $.hideLoading();
                if (retdata.errorNo == '0') {

                }
      
            });

            
          }
       

    };

    return Register;
})();